summaryrefslogtreecommitdiffstats
path: root/source/n/rt2860-firmware
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsource/n/rt2860-firmware/rt2860-firmware.SlackBuild (renamed from source/ap/mpg321/mpg321.SlackBuild)65
-rw-r--r--source/n/rt2860-firmware/slack-desc19
2 files changed, 43 insertions, 41 deletions
diff --git a/source/ap/mpg321/mpg321.SlackBuild b/source/n/rt2860-firmware/rt2860-firmware.SlackBuild
index 340c32703..280b276ff 100755
--- a/source/ap/mpg321/mpg321.SlackBuild
+++ b/source/n/rt2860-firmware/rt2860-firmware.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,57 +21,40 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.2.10
-ARCH=${ARCH:-x86_64}
-NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-2}
+CWD=$(pwd)
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
-fi
+PKGNAM=rt2860-firmware
+VERSION=${VERSION:-26}
+ARCH=${ARCH:-fw}
+BUILD=${BUILD:-1}
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-mpg321
-
+PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-tar xvf $CWD/mpg321-$VERSION.tar.gz || exit 1
-cd mpg321-$VERSION || exit 1
-
-CFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --build=$ARCH-slackware-linux
-
-make $NUMJOBS || make || exit 1
-
-strip mpg321
-mkdir -p $PKG/usr/bin
-cat mpg321 > $PKG/usr/bin/mpg321
-chmod 755 $PKG/usr/bin/mpg321
-( cd $PKG/usr/bin ; rm -f mpg123 ; ln -sf mpg321 mpg123 )
-
-mkdir -p $PKG/usr/man/man1
-cat mpg321.1 | gzip -9c > $PKG/usr/man/man1/mpg321.1.gz
-
-mkdir -p $PKG/usr/doc/mpg321-$VERSION
-cp -a \
- AUTHORS BUGS COPYING ChangeLog HACKING INSTALL NEWS \
- README README.remote THANKS TODO \
- $PKG/usr/doc/mpg321-$VERSION
-chown -R root:root $PKG/usr/doc/mpg321-$VERSION
+rm -rf RT2860_Firmware_V${VERSION}
+unzip $CWD/RT2860_Firmware_V${VERSION}.zip || exit 1
+cd RT2860_Firmware_V${VERSION}
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Install:
+mkdir -p $PKG/lib/firmware
+mv LICEN* $PKG/lib/firmware/LICENSE.ralink-firmware-RT2860_Firmware_V${VERSION}.txt
+mv * $PKG/lib/firmware
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-# Build the package:
cd $PKG
-/sbin/makepkg -l y -c n $TMP/mpg321-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/n/rt2860-firmware/slack-desc b/source/n/rt2860-firmware/slack-desc
new file mode 100644
index 000000000..6cdecaecf
--- /dev/null
+++ b/source/n/rt2860-firmware/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rt2860-firmware: rt2860-firmware (RT28XX/RT30XX PCI/mPCI/PCIe/CardBus firmware)
+rt2860-firmware:
+rt2860-firmware: This is firmware for PCI, mPCI, PCIe, and Cardbus wireless cards
+rt2860-firmware: using the Ralink RT2760, RT2790, RT2860, RT2890, RT3060, RT3062,
+rt2860-firmware: RT3562, RT2860, RT2760, RT2890, RT2790, and RT3090 wireless chipsets.
+rt2860-firmware:
+rt2860-firmware:
+rt2860-firmware:
+rt2860-firmware:
+rt2860-firmware:
+rt2860-firmware: